org.eclipse.oomph.util.pde

## Class TargetPlatformUtil

- java.lang.Object
- - org.eclipse.oomph.util.pde.TargetPlatformUtil

-     public final class TargetPlatformUtil
      extends Object

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `activateTargetDefinition(org.eclipse.pde.core.target.ITargetDefinition targetDefinition, IProgressMonitor monitor)`
    `static void` | `addListener(TargetPlatformListener listener)`
    `static org.eclipse.pde.core.target.ITargetDefinition` | `getActiveTargetDefinition()`
    `static org.eclipse.pde.core.target.ITargetDefinition` | `getActiveTargetDefinition(org.eclipse.pde.core.target.ITargetPlatformService service)`
    `static org.eclipse.pde.core.target.ITargetDefinition` | `getTargetDefinition(String targetDefinitionName, IProgressMonitor monitor)`
    `static boolean` | `isActiveTargetDefinition(org.eclipse.pde.core.target.ITargetDefinition targetDefinition)`
    `static void` | `removeListener(TargetPlatformListener listener)`
    `static <T> T` | `runWithTargetPlatformService(TargetPlatformRunnable<T> runnable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### runWithTargetPlatformService

          public static <T> T runWithTargetPlatformService(TargetPlatformRunnable<T> runnable)
                                                throws CoreException

      Throws:
        `CoreException`

    - #### activateTargetDefinition

          public static void activateTargetDefinition(org.eclipse.pde.core.target.ITargetDefinition targetDefinition,
                                      IProgressMonitor monitor)
                                               throws CoreException

      Throws:
        `CoreException`

    - #### isActiveTargetDefinition

          public static boolean isActiveTargetDefinition(org.eclipse.pde.core.target.ITargetDefinition targetDefinition)

    - #### getActiveTargetDefinition

          public static org.eclipse.pde.core.target.ITargetDefinition getActiveTargetDefinition()

    - #### getActiveTargetDefinition

          public static org.eclipse.pde.core.target.ITargetDefinition getActiveTargetDefinition(org.eclipse.pde.core.target.ITargetPlatformService service)

    - #### getTargetDefinition

          public static org.eclipse.pde.core.target.ITargetDefinition getTargetDefinition(String targetDefinitionName,
                                                                          IProgressMonitor monitor)

    - #### addListener

          public static void addListener(TargetPlatformListener listener)

    - #### removeListener

          public static void removeListener(TargetPlatformListener listener)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html